%define vendor alt

Name: fix-csv
Version: 0.3
Release: %{vendor}1

Summary: Problematic CSV (double quotes + commas) fixup for OOCalc
License: GPL v2+
Group: File tools

Url: http://www.emt.com.ua
Source0: %name.sh
Source1: %name.sed
Source2: %name.conf-%vendor
Packager: Michael Shigorin <mike@altlinux.org>

Requires: enca hd2u
BuildArch: noarch

%description
fix-csv works around some deficiencies in OOCalc2 CSV import filter
allowing for non-broken import of quoted entries containing commas
or quotes and optionally autoconverting documents from guessed charset
to current locale's one so that import filter only needs <Enter> to go

%install
%__install -pD -m755 %SOURCE0 %buildroot%_bindir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/%name/%name.sed
%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/%name.conf

%files
%_bindir/*
%_datadir/*
%config(noreplace) %_sysconfdir/%name.conf

%changelog
* Mon Mar 06 2006 Michael Shigorin <mike@altlinux.org> 0.3-alt1
- generalized the package
  + moved hardwired settings to %_sysconfdir
  + get sed script back in place, add dos2unix
    (OOo 2.0.1 CSV import filter seems quite broken)
- built for ALT Linux Sisyphus

* Mon Mar 06 2006 Michael Shigorin <mike@altlinux.org> 0.2-alt1
- use enca instead of iconv
- drop sed (OpenCalc 2.0.1+ fixes the trouble)

* Mon Dec 26 2005 Michael Shigorin <mike@altlinux.org> 0.1-alt1
- created

